[listing]
kod.column = 'cislo'
kod.type = 'string'

zakazka_typ.column = 'operace'
zakazka_typ.type = 'int'
zakazka_typ.convert.1 = '0'
zakazka_typ.convert.2 = '1'

subtyp_n.column = 'subtyp_n'
subtyp_n.type = 'int'

nemovitost_uir_ulice_text.column = 'ulice'
nemovitost_uir_ulice_text.type = 'string'

nemovitost_uir_ulice_kod.column = 'ulice_kod'
nemovitost_uir_ulice_kod.type = 'int'

;nemovitost_uir_cp.column = 'cp'
;nemovitost_uir_cp.type = 'string'

;nemovitost_uir_co.column = 'co'
;nemovitost_uir_co.type = 'string'

nemovitost_uir_obec_text.column = 'obec'
nemovitost_uir_obec_text.type = 'string'

nemovitost_uir_obec_kod.column = 'obec_kod'
nemovitost_uir_obec_kod.type = 'int'

nemovitost_uir_cobce_kod.column = 'obec_cast_kod'
nemovitost_uir_cobce_kod.type = 'int'

nemovitost_uir_pobvod_kod.column = 'kod_uzemniob_pha'
nemovitost_uir_pobvod_kod.type = 'int'
nemovitost_uir_pobvod_kod.unset = '"@this" ? @null : @this'

kod_spravnihoob_pha.column = 'kod_spravnihoob_pha'
kod_spravnihoob_pha.type = 'int'

okres.column = 'okres'
okres.type = 'int'

zeme.column = 'zeme'
zeme.type = 'int'

nabidka_gps_x.column = 'gps_lat'
nabidka_gps_x.type = 'float'
nabidka_gps_x.value = 'degToFloat<@this>'

nabidka_gps_y.column = 'gps_lon'
nabidka_gps_y.type = 'float'
nabidka_gps_y.value = 'degToFloat<@this>'

nabidka_gps_presnost.column = 'nezverejnovat_polohu'
nabidka_gps_presnost.type = 'int'
nabidka_gps_presnost.convert.0=0
nabidka_gps_presnost.convert.1=0
nabidka_gps_presnost.convert.2=2
nabidka_gps_presnost.convert.3=3

nemovitost_umisteni_objektu.column = 'poloha'
nemovitost_umisteni_objektu.type = 'int'
nemovitost_umisteni_objektu.convert.1 = 0 ; Centrum obce -> Centrum
nemovitost_umisteni_objektu.convert.2 = 2 ; Klidná část obce -> Klidná část obce
nemovitost_umisteni_objektu.convert.3 = 1 ; Rušná část obce -> Rušná část obce
nemovitost_umisteni_objektu.convert.4 = 5 ; Okraj obce -> Okraj obce
nemovitost_umisteni_objektu.convert.5 = 4 ; Sídliště -> Sídliště
nemovitost_umisteni_objektu.convert.6 = 6 ; Polosamota -> Polosamota
nemovitost_umisteni_objektu.convert.7 = 7 ; Samota -> Samota

nemovitost_stav_objektu.column = 'stav_n'
nemovitost_stav_objektu.type = 'int'
nemovitost_stav_objektu.convert.1 = 1  ; velmi dobrý -> bezvadný
nemovitost_stav_objektu.convert.2 = 2 ; dobrý       -> dobrý
nemovitost_stav_objektu.convert.3 = 3  ; špatný      -> špatný
nemovitost_stav_objektu.convert.4 = 7 ; ve výstavbě -> rozestavěný
nemovitost_stav_objektu.convert.5 = 7  ; projekt     -> rozestavěný
nemovitost_stav_objektu.convert.6 = 5  ; novostavba  -> novostavba
nemovitost_stav_objektu.convert.7 = 8  ; k demolici  -> zchátralý
nemovitost_stav_objektu.convert.8 = 4 ; před reko   -> k rekonstrukci
nemovitost_stav_objektu.convert.9 = 6  ; po rekon    -> po rekonstrukci

nemovitost_titulek.column = 'nazev'
nemovitost_titulek.type = 'string'

; v převaděči se ještě přidá ještě základní popis
nemovitost_popis_detailni.column = 'popis'
nemovitost_popis_detailni.type = 'string'

cena.column = 'cena'
cena.type = 'int'
cena.value = '@zakazka_typ == 1 ? @nemovitost_cena_prodej : @nemovitost_cena_pronajem'

; vybavení se generuje v php
podrobnosti.column = 'podrobnosti'
podrobnosti.type = 'string'
; a obsahuje tyto informace (ty tu musí být kvůli hyperoptimalizátoru)
nemovitost_doprava.column = '_temp_nemovitost_doprava_temp_'
nemovitost_doprava.type = 'int'
nemovitost_doprava.unset = '@this'

nemovitost_elektrina.column = '_temp_nemovitost_elektrina_temp_'
nemovitost_elektrina.type = 'int'
nemovitost_elektrina.unset = '@this'

nemovitost_odpad.column = '_temp_nemovitost_odpad_temp_'
nemovitost_odpad.type = 'int'
nemovitost_odpad.unset = '@this'

nemovitost_telekomunikace.column = '_temp_nemovitost_telekomunikace_temp_'
nemovitost_telekomunikace.type = 'int'
nemovitost_telekomunikace.unset = '@this'

nemovitost_ostatni_rozvody.column = '_temp_nemovitost_ostatni_rozvody_temp_'
nemovitost_ostatni_rozvody.type = 'int'
nemovitost_ostatni_rozvody.unset = '@this'

nemovitost_charakter_zastavby.column = '_temp_nemovitost_charakter_zastavby_temp_'
nemovitost_charakter_zastavby.type = 'int'
nemovitost_charakter_zastavby.unset = '@this'

nemovitost_balkon.column = '_temp_nemovitost_balkon_temp_'
nemovitost_balkon.type = 'int'
nemovitost_balkon.unset = '@this'

nemovitost_lodzie.column = '_temp_nemovitost_lodzie_temp_'
nemovitost_lodzie.type = 'int'
nemovitost_lodzie.unset = '@this'

nemovitost_topeni.column = '_temp_nemovitost_topeni_temp_'
nemovitost_topeni.type = 'int'
nemovitost_topeni.unset = '@this'

nemovitost_pocet_mist.column = '_temp_nemovitost_pocet_mist_temp_'
nemovitost_pocet_mist.type = 'int'
nemovitost_pocet_mist.unset = '@this'

nemovitost_parkovaci_stani.column = '_temp_nemovitost_parkovaci_stani_temp_'
nemovitost_parkovaci_stani.type = 'int'
nemovitost_parkovaci_stani.unset = '@this'

nemovitost_garaz.column = '_temp_nemovitost_garaz_temp_'
nemovitost_garaz.type = 'int'
nemovitost_garaz.unset = '@this'

nemovitost_ostatni.column = '_temp_nemovitost_ostatni_temp_'
nemovitost_ostatni.type = 'int'
nemovitost_ostatni.unset = '@this'

; plochy se definují v php

; přidány ano/ne + plocha

nemovitost_sklep_plocha.column = 'pl_sklepu'
nemovitost_sklep_plocha.type = 'int'

nemovitost_terasa_plocha.column = 'pl_terasy'
nemovitost_terasa_plocha.type = 'int'

nemovitost_balkon_plocha.column = 'pl_balkonu'
nemovitost_balkon_plocha.type = 'int'

nemovitost_lodzie_plocha.column = 'pl_lodzie'
nemovitost_lodzie_plocha.type = 'int'

nemovitost_pocet_podlazi.column = 'podlazi_n'
nemovitost_pocet_podlazi.type = 'int'

nemovitost_pocet_podlazi_pod_zemi.column = 'podlazi_p'
nemovitost_pocet_podlazi_pod_zemi.type = 'int'

nemovitost_pocet_bytu_volnych.column = 'volnychbytu'
nemovitost_pocet_bytu_volnych.type = 'int'

nemovitost_rok_vystavby.column = 'rok_vystavby'
nemovitost_rok_vystavby.type = 'int'

nemovitost_energeticky_stitek.column = 'en_trida'
nemovitost_energeticky_stitek.type = 'string'
nemovitost_energeticky_stitek.convert.1 = 'A'
nemovitost_energeticky_stitek.convert.2 = 'B'
nemovitost_energeticky_stitek.convert.3 = 'C'
nemovitost_energeticky_stitek.convert.4 = 'D'
nemovitost_energeticky_stitek.convert.5 = 'E'
nemovitost_energeticky_stitek.convert.6 = 'F'
nemovitost_energeticky_stitek.convert.7 = 'G'
nemovitost_energeticky_stitek.convert.0 = 'X' ; hodnota pro položky, kde není štítek nastaven nebo nemá smysl

nemovitost_merna_rocni_spotreba.column = 'en_hodnota'
nemovitost_merna_rocni_spotreba.type = 'float'

nemovitost_energeticky_stitek_vyhlaska.column = 'en_vyhlaska'
nemovitost_energeticky_stitek_vyhlaska.type = 'int'
nemovitost_energeticky_stitek_vyhlaska.convert.1 = 1

pocet_mist_k_parkovani.column = 'parkoviste_aut'
pocet_mist_k_parkovani.type = 'int'

nemovitost_podlazi_cislo.column = 'patro_cislo'
nemovitost_podlazi_cislo.type = 'int'

; + převod v php na patro
_patro.column = 'patro'
_patro.type = 'string'

nemovitost_typ_domu.column = 'typ_domu'
nemovitost_typ_domu.type = 'int'

nemovitost_bezbarierovy.column = 'bezbarier'
nemovitost_bezbarierovy.type = 'bool'

nemovitost_anuita.column = 'anuita'
nemovitost_anuita.type = 'int'

nemovitost_cena_poznamka.column = 'poznamkakcene'
nemovitost_cena_poznamka.type = 'string'
nemovitost_cena_poznamka.value = @nemovitost_cena_poplatky > 0 ? '@this + poplatky @nemovitost_cena_poplatky,- Kč / měs.' : '@this'

; jejich číselník odpovídá našemu
nemovitost_cena_prodej_jednotka.column = 'typceny_n'
nemovitost_cena_prodej_jednotka.type = 'int'
nemovitost_cena_prodej_jednotka.unset = '@zakazka_typ==1 ? @null : @this'

nemovitost_cena_pronajem_jednotka.column = 'typceny_n'
nemovitost_cena_pronajem_jednotka.type = 'int'
nemovitost_cena_pronajem_jednotka.unset = '@zakazka_typ==2 ? @null : @this'

nemovitost_mena.column = 'mena'
nemovitost_mena.type = 'int'
; číselník máme stejný

nemovitost_vlastnictvi.column = 'vlastnictvi'
nemovitost_vlastnictvi.type = 'int'
nemovitost_vlastnictvi.convert.1 = 2  ; osobní     -> v soukromém
nemovitost_vlastnictvi.convert.2 = 1  ; družstevní -> družstevní
nemovitost_vlastnictvi.convert.3 = 6  ; jiný       -> jiné
nemovitost_vlastnictvi.convert.4 = 3  ; obecní     -> obecní
nemovitost_vlastnictvi.convert.5 = 4  ; státní     -> státní
nemovitost_vlastnictvi.convert.6 = 7  ; u majitele -> majitel domu (soukromá osoba)

zakazka_typ_smlouvy.column = 'typ_smlouvy'
zakazka_typ_smlouvy.type = 'int'
zakazka_typ_smlouvy.convert.0 = '0'  ; neuvedeno
zakazka_typ_smlouvy.convert.10 = '2' ; exkluzivni   -> vyhradni
zakazka_typ_smlouvy.convert.20 = '3' ; neexluzivni  -> nevyhradni
zakazka_typ_smlouvy.convert.30 = '3' ; coexkluzivni -> nevyhradni

zakazka_stav.column = 'status'
zakazka_stav.type = 'int'
zakazka_stav.convert.10 = '99' ; příprava             -> neuvedeno
zakazka_stav.convert.20 = '99' ; aktivní              -> neuvedeno
zakazka_stav.convert.30 = '0'  ; rezervace            -> rezervace
zakazka_stav.convert.40 = '1'  ; realizováno          -> prodáno
zakazka_stav.convert.41 = '1'  ; realizováno jinou RK -> prodáno
zakazka_stav.convert.50 = '99' ;

zakazka_datum_editace.column = 'last_access'
zakazka_datum_editace.type = 'string'
zakazka_datum_editace.value = 'date<Y-m-d H:i:s, @this>'

[broker]
jmeno_cele.column = 'makler_jmeno'
jmeno_cele.type = 'string'

id.column = 'makler_int_id'
id.type = 'string'
id.value = 'M@this'

telefon.column = 'makler_telp'
telefon.type = 'string'

text_na_web.column = 'makler_info'
text_na_web.type = 'string'

email.column = 'makler_mail'
email.type = 'string'

foto.column = 'foto'
foto.type = 'string'

